ShowCommand (install4j API)
Description: declaration: package: com.install4j.api.windows, enum: ShowCommand

Package com.install4j.api.windows

# Enum Class ShowCommand

java.lang.Object
java.lang.Enum<ShowCommand>
com.install4j.api.windows.ShowCommand

All Implemented Interfaces:
  `Serializable`, `Comparable<ShowCommand>`, `Constable`

public enum ShowCommand extends Enum<ShowCommand>
The show command for a shell link.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MAXIMIZED`
  `MINIMIZED`
  `NORMAL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ShowCommand`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ShowCommand[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NORMAL

    public static final ShowCommand NORMAL

  - ### MAXIMIZED

    public static final ShowCommand MAXIMIZED

  - ### MINIMIZED

    public static final ShowCommand MINIMIZED

- ## Method Details

  - ### values

    public static ShowCommand[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ShowCommand valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null